$darkmode

| Qore DataProvider Module Reference 2.7.1

Public Attributes | List of all members
DataProvider::DataProviderOptionInfo Struct Reference

Data provider option info. More...

`#include <AbstractDataProvider.qc.dox.h>`

## Public Attributes
*softlist< hash< AllowedValueInfo > > | allowed_values
| List of allowed values (enum)
auto | default_value
| Any default value.
string | desc
| The option description.
bool | required = False
| Required flag.
bool | sensitive = False
| Is the option value sensitive?
softlist< AbstractDataProviderType > | type
| The option value type or types.

## Detailed Description

Data provider option info.